## perl-byacc 2.0

=== Makefile ===
# where to install program
DEST          = /usr/local/bin

# where to install library
LIB_DEST      = /usr/local/lib

HDRS          = defs.h

# uncomment the next line if your system does not have strrchr()
#RINDEX       = -Dstrrchr=rindex

# the name of the final executable
PROGRAM	      = byacc

LIBRARY       = libby.a

RANLIB        = ranlib
#RANLIB        = true

# set SIG_TYPE to the type of pointer signal() returns
SIG_TYPE      = void
#SIG_TYPE      = char

CPPFLAGS      = $(RINDEX) -DPROGRAM=\"$(PROGRAM)\" -DSIG_TYPE=$(SIG_TYPE)

CFLAGS	      = -O $(CPPFLAGS)

#CC	      = gcc -Wall
CPP	      = /lib/cpp	      

LDFLAGS	      =

LIBS	      =

LINKER	      = $(CC)

MAKEFILE      = Makefile

OBJS	      =			\
		closure.o	\
		error.o		\
		lalr.o		\
		lr0.o		\
		main.o		\
		mkpar.o		\
		output.o	\
		reader.o	\
		skeleton.o	\
		symtab.o	\
		verbose.o	\
		warshall.o

LIB_OBJS      = yyerror.o	\
		yymain.o

PRINT	      = pr -f -l88

SRCS	      = closure.c	\
		error.c		\
		lalr.c		\
		lr0.c		\
		main.c		\
		mkpar.c		\
		output.c	\
		reader.c	\
		skeleton.c	\
		symtab.c	\
		verbose.c	\
		warshall.c

all:		$(PROGRAM) $(PROGRAM).man $(LIBRARY)

$(LIBRARY):	$(LIB_OBJS)
		ar rv $(LIBRARY) $(LIB_OBJS)
		$(RANLIB) $(LIBRARY)		

$(PROGRAM):     $(OBJS) $(LIBS)
		@echo -n "Loading $(PROGRAM) ... "
		@$(LINKER) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)
		@echo "done"

cc_src:
		#load $(RINDEX) -DPROGRAM="$(PROGRAM)" -DSIG_TYPE=$(SIG_TYPE) \
			$(SRCS)
		#link

clean:
		rm -f $(OBJS) $(LIB_OBJS) *~ core .purify* purify*
		rm -f $(MAKEFILE).bak

clobber:	clean
		rm -f $(PROGRAM) $(LIBRARY)

depend:		
		sed -n -e '1,/^### DO NOT DELETE THIS LINE/p' < $(MAKEFILE) \
		   | sed -e '/^### DO NOT DELETE THIS LINE/d' > $(MAKEFILE).new
		echo "### DO NOT DELETE THIS LINE - make depend needs it" >> $(MAKEFILE).new
		echo >> $(MAKEFILE).new
		for fl in $(SRCS) $(DEBUG_SRCS) ; \
		do \
		   $(CPP) $(CPPFLAGS) -M $$fl | grep -v ': /usr/include/' >> $(MAKEFILE).new ; \
		   echo >> $(MAKEFILE).new ; \
		done
		mv $(MAKEFILE) $(MAKEFILE).bak
		mv $(MAKEFILE).new $(MAKEFILE)

index:
		@ctags -wx $(HDRS) $(SRCS)

install:	$(PROGRAM) $(LIBRARY)
		@echo Installing $(PROGRAM) in $(DEST)
		@install -s $(PROGRAM) $(DEST)
		@echo Installing $(LIBRARY) in $(LIB_DEST)
		@cp $(LIBRARY) $(LIB_DEST)/$(LIBRARY)
		@$(RANLIB) $(LIB_DEST)/$(LIBRARY)

library:	$(LIBRARY)

listing:
		@$(PRINT) Makefile $(HDRS) $(SRCS) | lpr

lint:
		@lint $(CPPFLAGS) $(SRCS)

$(PROGRAM).man:	man.page $(MAKEFILE)
		sed -e "s/byacc/$(PROGRAM)/" \
		    -e "s/ BYACC/ `echo $(PROGRAM) | tr '[a-z]' '[A-Z]'`/" \
		    -e "s?LIB_DEST?$(LIB_DEST)?" \
		    -e "s/LIBRARY/$(LIBRARY)/" \
		    < man.page > $(PROGRAM).man

program:        $(PROGRAM)

purify:         $(OBJS) $(LIBS)
		@purify $(LINKER) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)

tags:           $(HDRS) $(SRCS)
		@ctags $(HDRS) $(SRCS)

tests:		$(PROGRAM)
		-mkdir t
		cp test/*.y test/Makefile t
		(cd t; $(MAKE) PROGRAM=$(PROGRAM))
		diff -r test t
		rm -fr t

### DO NOT DELETE THIS LINE - make depend needs it

closure.o: closure.c
closure.o: ./defs.h

error.o: error.c
error.o: ./defs.h

lalr.o: lalr.c
lalr.o: ./defs.h

lr0.o: lr0.c
lr0.o: ./defs.h

main.o: main.c
main.o: ./defs.h

mkpar.o: mkpar.c
mkpar.o: ./defs.h

output.o: output.c
output.o: ./defs.h

reader.o: reader.c
reader.o: ./defs.h

skeleton.o: skeleton.c
skeleton.o: ./defs.h

symtab.o: symtab.c
symtab.o: ./defs.h

verbose.o: verbose.c
verbose.o: ./defs.h

warshall.o: warshall.c
warshall.o: ./defs.h

=== test/Makefile ===
all_tests:
	-../$(PROGRAM) -dv -b error error.y
	-../$(PROGRAM) -dv -b ftp -p ftp ftp.y
	-../$(PROGRAM) -P -dv -b calc calc.y
	-../$(PROGRAM) -P -dv -b getdate getdate.y

=== debian/changelog ===
perl-byacc (2.0-8) unstable; urgency=medium

  * QA upload.
  * Don't force bzip2 compression.
  * Use debhelper 9.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 06 Jul 2016 05:05:03 +0200

perl-byacc (2.0-7) unstable; urgency=low

  * QA upload.
  * Debian source format is "3.0 (quilt)"
  * Fix package-uses-deprecated-debhelper-compat-version
  * Fix debhelper-compat-file-is-missing
  * Fix package-needs-versioned-debhelper-build-depends
  * Fix ancient-standards-version
  * Fix dh_installmanpages-is-obsolete
  * Fix debhelper-but-no-misc-depends
  * Fix debian-rules-uses-pwd
  * Fix debian-rules-missing-recommended-target
  * Fix description-synopsis-starts-with-article
  * Fix maintainer-script-ignores-errors

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 10 Apr 2012 12:52:02 +1000

perl-byacc (2.0-6) unstable; urgency=low

  * New maintainer (closes: #279811).

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Tue, 25 Oct 2005 19:05:44 -0400

perl-byacc (2.0-5) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/copyright: removed dh_make boilerplatedness
  * debian/rules: don't install zero byte file as an example

 -- Andrew Pollock <apollock@debian.org>  Thu,  3 Mar 2005 12:04:54 +1100

perl-byacc (2.0-4) unstable; urgency=low

  * Remove explicit removal of slave link from prerm script,
  Closes: #146193

 -- Stephen Zander <gibreel@debian.org>  Wed, 22 May 2002 23:02:59 -0700

perl-byacc (2.0-3) unstable; urgency=medium

  * New maintainer,
  Closes: #123176, #141854
  * Fixed manpage rendering,
  Closes: #132288

 -- Stephen Zander <gibreel@debian.org>  Tue,  9 Apr 2002 22:19:50 -0700

perl-byacc (2.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop ${perl:Depends} in build-dependencies, as substvars don't work
    there. The debhelper package already depends on what it needs for
    dh_perl (closes: #123176).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jan 2002 12:03:43 +0000

perl-byacc (2.0-2) unstable; urgency=low

  * FHS-compliant. Closes: #91025, #91602

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon,  9 Apr 2001 21:55:47 +0200

perl-byacc (2.0-1) unstable; urgency=low

  * Not a real upstream release, but application of the patch in
    CPAN/authors/id/JAKE/perl5-byacc-patches-xx, which is an important
    change: usage changed, read the documentation (README.Perl5). 
    Closes #40565

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu, 22 Jul 1999 09:52:31 +0200

perl-byacc (1.8.2-2) unstable; urgency=low

  * Complies with the new Perl policy.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  7 Jul 1999 14:37:00 +0200

perl-byacc (1.8.2-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 24 Mar 1999 11:38:21 +0100

=== debian/control ===
Source: perl-byacc
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: perl-byacc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl
Description: Berkeley LALR parser generator, Perl version
 Yacc reads the grammar specification in a file
 and generates an LR(1) parser for it. The parsers consist
 of a set of LALR(1) parsing tables and a driver routine
 written in the C programming language.
 This version is able to produce Perl programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for perl-byacc

export SHELL=/bin/bash

package	:= $(firstword $(shell dh_listpackages))
destdir	:= $(CURDIR)/debian/$(package)
doc	:= $(destdir)/usr/share/doc/$(package)
examples	:= $(doc)/examples/perl5

version	:= $(shell dpkg-parsechangelog | \
			sed -ne 's/^Version: *\([0-9]\+:\)*//p')

tag:
	cvs tag -c -F $(subst .,_,debian_version_$(version))
ifeq ($(findstring -,$(version)),)
	cvs tag -c -F $(subst .,_,upstream_version_$(version))
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) 
	touch $@

clean: checkroot
	rm -f *-stamp
	-$(MAKE) clobber
	dh_clean

binary-indep: checkroot build

binary-arch: checkroot build
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=$(destdir)
	dh_installdocs ACKNOWLEDGEMENTS NEW_FEATURES NO_WARRANTY
	install -m 0644 perl5-patch/README $(doc)/README.Perl5
	dh_installexamples -Xerror.tab.h test/*
	install -D -m 0644 perl5-patch/Makefile $(examples)/Makefile
	install -m 0644 perl5-patch/{Makefile,*.y,*.pl,*.pm,thought} $(examples)
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-indep binary-arch clean checkroot build
